﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true"
    CodeFile="Default.aspx.cs" Inherits="Default2" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        <script type="text/javascript">
            function AddEvent(e)
            {
                var calendar = $get("<%=RadCalendar1.ClientID %>");
                if (typeof (calendar.addEventListener) != "undefined") //gecko browsers
                {
                    calendar.addEventListener("mouseover", HighlightWholeWeek, false);
                    calendar.addEventListener("mouseout", UnHighlight, false);
                    calendar.addEventListener("click", SelectWholeWeek, false);
                }
                else if (calendar.attachEvent) //IE
                {
                    calendar.attachEvent("onmouseover", HighlightWholeWeek);
                    calendar.attachEvent("onmouseout", UnHighlight);
                    calendar.attachEvent("onclick", SelectWholeWeek);
                }
            }

            function HighlightWholeWeek(args) {
                //find the clicked cell
                var target = FindTarget(args);
                if (target != null && (target.className.indexOf("rcHover") != -1) && target.DayId && target.className.indexOf("rcSelected") == -1) //if the highlighted cell is a date cell it has a DayId
                {
                    var row = target.parentNode;

                    //get all the rows to unhighlight first
                    var rows = row.parentNode.getElementsByTagName("tr");
                    UnhighlightRows(rows);
                    //highlight our row cells
                    var rowCells = row.getElementsByTagName("td");
                    for (var i = 0; i < rowCells.length; i++) {
                        //don't highlight other month or selected days

                        if (rowCells[i].className != "otherMonth" && rowCells[i].className != "radCalSelect_Default") {
                            rowCells[i].className = "rcHover";
                        }
                    }
                }
            }

            //unhighlight the lastly highlighted week on mouse out of the calendar
            function UnHighlight() {
                var calendar = $get("<%=RadCalendar1.ClientID %>");
                ////get the rows of the calendar table
                var rows = calendar.getElementsByTagName("tr");
                UnhighlightRows(rows);
            }

            function UnhighlightRows(rows) {
                for (var i = 0; i < rows.length; i++) {
                    //get the cells of the current row
                    var rowCells = rows[i].getElementsByTagName("td");
                    for (var j = 0; j < rowCells.length; j++) {
                        //unhighlight the row cells
                        if (rowCells[j].className == "radCalHover_Default") {
                            rowCells[j].className = "radCalDefault_Default";
                        }
                        else if (rowCells[j].className == "rcHover") {
                            rowCells[j].className = "";
                        }
                    }
                }
            }

            function SelectWholeWeek(args)
            {

                var target = FindTarget(args); //find the clicked cell	  
                if (target.DayId && target.className)//if the clicked cell is a date cell it has a DayId
                {
                    if ((target.className == "radCalSelect_Default") || (target.className == "rcSelected"))
                    {
                        var calendar = $find("<%= RadCalendar1.ClientID %>");
                        calendar.unselectDates(calendar.get_selectedDates());

                        var row = target.parentNode;
                        while (row.tagName != "TR")
                        {
                            row = row.parentNode;
                        }
                        var rowCells = row.getElementsByTagName("td"); //get all the cells of the row
                        for (var i = 0; i < rowCells.length; i++)
                            if (rowCells[i].DayId) //if the cell is a selectable Date cell it has DayId  
                            {
                                var date = GetDateFromID(rowCells[i].DayId, calendar.get_id());
                                calendar.selectDate(date);
                            }
                    }
                }
            }

            function FindTarget(e)
            {

                var target;
                if (e && e.target) //other browsers
                {
                    target = e.target;
                }
                else if (window.event && window.event.srcElement) //IE
                {
                    target = window.event.srcElement;
                }

                if (!target)
                {
                    return null;
                }

                while (target != null)
                {
                    if (target.tagName.toLowerCase() == 'td')
                    {
                        break;
                    }
                    target = target.parentNode;
                }

                if (target.tagName.toLowerCase() != 'td')
                {
                    return null;
                }
                return target;
            }

            function GetDateFromID(ID, calendarId)
            {
                var name = ID.split(calendarId + "_")[1].split("_");
                var date = [parseInt(name[0]), parseInt(name[1]), parseInt(name[2])];
                return date;
            }
        </script>
    </telerik:RadCodeBlock>
    <telerik:RadCalendar ID="RadCalendar1" runat="server" FirstDayOfWeek="Saturday">
        <ClientEvents OnLoad="AddEvent" />
    </telerik:RadCalendar>
</asp:Content>
